/* -*- mode: c++; c-basic-offset: 3; -*- */
#include "html/comment.hh"
#include "html/writer.hh"

using namespace html;

//======================================  Comment constructor
html::comment::comment(const std::string& cmnt)
  : _comment(cmnt)
{}

//======================================  Comment destructor
html::comment::~comment(void) {
}


//======================================  Comment clone
html::comment*
html::comment::clone(void) const {
  return new comment(*this);
}

//======================================  Wriute the comment
void
html::comment::write(writer& out) const {
  out.endLine();
  out.text("<!-- ");
  out.text(_comment);
  out.text(" -->");
  out.endLine();
}
